SAM3S8/SD8 Software Package: _CdcAudspkdDriverConfigurationDescriptors Struct Reference

SAM3S8/SD8 Software Package 1.2
Data Fields

# _CdcAudspkdDriverConfigurationDescriptors Struct Reference
[Usbd_cdc_aud]

`#include <libraries/usb/include/CDCAUDDDriver.h>`

## Data Fields

USBConfigurationDescriptor | configuration
USBInterfaceAssociationDescriptor | cdcIAD0
USBInterfaceDescriptor | cdcCommunication0
CDCHeaderDescriptor | cdcHeader0
CDCCallManagementDescriptor | cdcCallManagement0
CDCAbstractControlManagementDescriptor | cdcAbstractControlManagement0
CDCUnionDescriptor | cdcUnion0
USBEndpointDescriptor | cdcNotification0
USBInterfaceDescriptor | cdcData0
USBEndpointDescriptor | cdcDataOut0
USBEndpointDescriptor | cdcDataIn0
USBInterfaceAssociationDescriptor | audIAD
USBInterfaceDescriptor | audInterface
AUDDSpeakerAcDescriptors | audControl
USBInterfaceDescriptor | audStreamingOutNoIsochronous
USBInterfaceDescriptor | audStreamingOut
AUDStreamingInterfaceDescriptor | audStreamingOutClass
AUDFormatTypeOneDescriptor1 | audStreamingOutFormatType
AUDEndpointDescriptor | audStreamingOutEndpoint
AUDDataEndpointDescriptor | audStreamingOutDataEndpoint

## Detailed Description

Configuration descriptor list for a device implementing CDC(Serial) + Audio(Speaker) composite driver.

Definition at line 173 of file CDCAUDDDriver.h.

## Field Documentation

AUDDSpeakerAcDescriptors _CdcAudspkdDriverConfigurationDescriptors::audControl

Descriptors for the audio control interface.

Definition at line 206 of file CDCAUDDDriver.h.

USBInterfaceAssociationDescriptor _CdcAudspkdDriverConfigurationDescriptors::audIAD

IAD 1

Definition at line 202 of file CDCAUDDDriver.h.

USBInterfaceDescriptor _CdcAudspkdDriverConfigurationDescriptors::audInterface

Audio control interface.

Definition at line 204 of file CDCAUDDDriver.h.

USBInterfaceDescriptor _CdcAudspkdDriverConfigurationDescriptors::audStreamingOut

Streaming out interface descriptor.

Definition at line 211 of file CDCAUDDDriver.h.

AUDStreamingInterfaceDescriptor _CdcAudspkdDriverConfigurationDescriptors::audStreamingOutClass

Audio class descriptor for the streaming out interface.

Definition at line 213 of file CDCAUDDDriver.h.

AUDDataEndpointDescriptor _CdcAudspkdDriverConfigurationDescriptors::audStreamingOutDataEndpoint

Audio class descriptor for the streaming out endpoint.

Definition at line 219 of file CDCAUDDDriver.h.

AUDEndpointDescriptor _CdcAudspkdDriverConfigurationDescriptors::audStreamingOutEndpoint

Streaming out endpoint descriptor.

Definition at line 217 of file CDCAUDDDriver.h.

AUDFormatTypeOneDescriptor1 _CdcAudspkdDriverConfigurationDescriptors::audStreamingOutFormatType

Stream format descriptor.

Definition at line 215 of file CDCAUDDDriver.h.

USBInterfaceDescriptor _CdcAudspkdDriverConfigurationDescriptors::audStreamingOutNoIsochronous

Streaming out interface descriptor (with no endpoint, required).

Definition at line 209 of file CDCAUDDDriver.h.

CDCAbstractControlManagementDescriptor _CdcAudspkdDriverConfigurationDescriptors::cdcAbstractControlManagement0

CDC abstract control management functional descriptor.

Definition at line 188 of file CDCAUDDDriver.h.

CDCCallManagementDescriptor _CdcAudspkdDriverConfigurationDescriptors::cdcCallManagement0

CDC call management functional descriptor.

Definition at line 186 of file CDCAUDDDriver.h.

USBInterfaceDescriptor _CdcAudspkdDriverConfigurationDescriptors::cdcCommunication0

Communication interface descriptor

Definition at line 182 of file CDCAUDDDriver.h.

USBInterfaceDescriptor _CdcAudspkdDriverConfigurationDescriptors::cdcData0

Data interface descriptor.

Definition at line 194 of file CDCAUDDDriver.h.

USBEndpointDescriptor _CdcAudspkdDriverConfigurationDescriptors::cdcDataIn0

Data IN endpoint descriptor.

Definition at line 198 of file CDCAUDDDriver.h.

USBEndpointDescriptor _CdcAudspkdDriverConfigurationDescriptors::cdcDataOut0

Data OUT endpoint descriptor.

Definition at line 196 of file CDCAUDDDriver.h.

CDCHeaderDescriptor _CdcAudspkdDriverConfigurationDescriptors::cdcHeader0

CDC header functional descriptor.

Definition at line 184 of file CDCAUDDDriver.h.

USBInterfaceAssociationDescriptor _CdcAudspkdDriverConfigurationDescriptors::cdcIAD0

IAD 0

Definition at line 180 of file CDCAUDDDriver.h.

USBEndpointDescriptor _CdcAudspkdDriverConfigurationDescriptors::cdcNotification0

Notification endpoint descriptor.

Definition at line 192 of file CDCAUDDDriver.h.

CDCUnionDescriptor _CdcAudspkdDriverConfigurationDescriptors::cdcUnion0

CDC union functional descriptor (with one slave interface).

Definition at line 190 of file CDCAUDDDriver.h.

USBConfigurationDescriptor _CdcAudspkdDriverConfigurationDescriptors::configuration

Standard configuration descriptor.

Definition at line 176 of file CDCAUDDDriver.h.

The documentation for this struct was generated from the following file:

- libraries/usb/include/CDCAUDDDriver.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines